ANABOX smart
API ReferenceCalendarsBake

Bake calendar entries

Finalizes (bakes) calendar entries based on the provided criteria.

POST
/calendars/bake
x-api-key<token>

API key for authentication

In: header

patient?string

A valid MongoDB ObjectId

fromstring
tostring
updateAllPatients?boolean
Value intrue
organization?string

A valid MongoDB ObjectId

Response Body

application/json

curl -X POST "https://api.memo.wirewire.de/v1/calendars/bake" \  -H "Content-Type: application/json" \  -d '{    "from": "string",    "to": "string"  }'
{
  "data": [
    {
      "id": "string",
      "userId": "string",
      "date": "string",
      "startTime": "string",
      "endTime": "string",
      "title": "string",
      "description": "string",
      "baked": true,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "iotDevices": [
    null
  ],
  "dateNow": "string",
  "alarms": [
    null
  ],
  "allAlarms": [
    [
      0,
      0
    ]
  ]
}